#include <cmath>
#include "vector2d.hpp"

#include <iostream>
namespace vector_math {
  const float PI = 3.1415926535897932384626433832795;

  float get_angle(Vector2D, Vector2D);
  float get_angle_norm(Vector2D const&, Vector2D const&);
  void  normalize_vector(Vector2D&);

  inline float deg_to_rad(float degs) {return degs * PI / 180;}				/** Converts degrees to radians */
  inline float rad_to_deg(float rads) {return rads * 180 / PI;}				/** Converts radians to degrees */
  template<class T> inline bool same_sign(T a, T b) {return (a > 0) == (b > 0);}	/** Checks if the passed values have the same sign */
}